Opened 14 years ago

Closed 13 years ago

#929 closed defect (worksforme)

Backend SIGABRT, gdb backtrace

Reported by: Robert Kulagowski Owned by: danielk
Priority: major Milestone: unknown
Component: mythtv Version: head
Severity: medium Keywords:
Cc: Ticket locked: no

Attachments (5)

rkulagow-backendlog.txt (1.4 KB) - added by danielk 14 years ago.
backend log
rkulagow-bt.txt (31.5 KB) - added by danielk 14 years ago.
backtrace
valgrind.12328.bz2 (13.3 KB) - added by Robert Kulagowski 14 years ago.
gdb.txt.929-2006-01-16.bz2 (3.7 KB) - added by Robert Kulagowski 14 years ago.
log.txt.929-2006-01-16.bz2 (1.8 KB) - added by Robert Kulagowski 14 years ago.

Download all attachments as: .zip

Change History (24)

comment:1 Changed 14 years ago by Robert Kulagowski

Owner: changed from Isaac Richards to danielk

comment:2 Changed 14 years ago by danielk

Milestone: 0.19
Version: head

Changed 14 years ago by danielk

Attachment: rkulagow-backendlog.txt added

backend log

Changed 14 years ago by danielk

Attachment: rkulagow-bt.txt added

backtrace

comment:3 Changed 14 years ago by danielk

Description: modified (diff)

comment:4 Changed 14 years ago by danielk

Can you repeat this under valgrind?

I don't think the backtrace is showing us where the error occurs, but rather is simply where memory corruption is being discovered because we do a malloc.

comment:5 Changed 14 years ago by Robert Kulagowski

I'd be happy to, but have no valgrind experience. Please recommend a command line, and does it run in conjunction with gdb in case there's a different sort of error in the backend code?

comment:6 Changed 14 years ago by Robert Kulagowski

From now on, I'm going to run SVN using $ valgrind --log-file=valgrind mythbackend -l mythbackend.log -v record,channel,siparser

Is that sufficient to catch this bug?

mythbackend.log:

2006-01-08 02:48:30.949 AFD: Opened codec 0x80bae40, id(MPEG2VIDEO) type(Video)
2006-01-08 02:48:30.968 AFD: Opened codec 0x80bb250, id(MP2) type(Audio)
2006-01-08 02:48:30.972 AFD: Audio Track #1 is A/V stream #1 and has 2 channels in the Unknown language(0).
2006-01-08 02:48:30.986 AFD: Selected track 1: Unknown MP2 2ch (A/V Stream #1)
2006-01-08 02:48:30.988 AFD: Initializing audio parms from audio track #1
2006-01-08 02:48:30.992 AFD: Audio format changed
                        from id(NONE)    -1Hz -1ch   0bps    ; id(NONE)    -1Hz -1ch   0bps
                        to   id( MP2) 48000Hz  2ch  16bps    ; id( MP2) 48000Hz  2ch  16bps
2006-01-08 02:49:08.795 Running HouseKeeping
2006-01-08 02:54:08.834 Running HouseKeeping
2006-01-08 02:59:08.896 Running HouseKeeping
2006-01-08 03:04:08.923 Running HouseKeeping
2006-01-08 03:09:08.961 Running HouseKeeping
2006-01-08 03:14:09.112 Running HouseKeeping
2006-01-08 03:19:09.246 Running HouseKeeping
2006-01-08 03:19:29.624 TVRec(5): SetFlags(AskAllowRecording,) -> RunMainLoop,AskAllowRecording,RecorderRunning,
2006-01-08 03:20:00.783 TVRec(5): ClearFlags(FinishRecording,) -> RunMainLoop,AskAllowRecording,RecorderRunning,
2006-01-08 03:20:00.834 TVRec(5): Changing from RecordingOnly to None
2006-01-08 03:20:00.840 TVRec(5): ClearFlags(FrontendReady,CancelNextRecording,) -> RunMainLoop,AskAllowRecording,RecorderRunning,
2006-01-08 03:20:00.878 TVRec(5): SetFlags(AskAllowRecording,) -> RunMainLoop,AskAllowRecording,RecorderRunning,
2006-01-08 03:20:00.884 TVRec(5): Request: Program(no) channel() input() flags(CloseRec,KillRingBuffer,)
2006-01-08 03:20:00.889 Finished recording The Office "New Girl": channel 3162
2006-01-08 03:20:01.141 TVRec(5): ClearFlags(RecorderRunning,) -> RunMainLoop,AskAllowRecording,
[mpeg2video @ 0xb763a130]Warning MVs not available
2006-01-08 03:28:55.541 ReadStringList timeout.
2006-01-08 03:28:55.550 Connection to backend server lost
2006-01-08 03:28:55.561 WriteStringList: Bad socket
2006-01-08 03:28:55.570 ReadStringList: Bad socket
2006-01-08 03:28:55.578 Reconnection to backend server failed

gdb:

[New Thread -1426080848 (LWP 10498)]
[New Thread -1387271248 (LWP 10499)]
[New Thread -1443910736 (LWP 10500)]
[Thread -1458570320 (LWP 10475) exited]
[New Thread -1458570320 (LWP 10501)]
[Thread -1443910736 (LWP 10500) exited]
[New Thread -1443910736 (LWP 10522)]

Program received signal SIGABRT, Aborted.
[Switching to Thread -1282946128 (LWP 9733)]
0xb637e9e7 in raise () from /lib/tls/libc.so.6

Thread 77 (Thread -1443910736 (LWP 10522)):
#0  0xb63c3af1 in strstr () from /lib/tls/libc.so.6
No symbol table info available.
#1  0xb690a6ea in QConnection::QConnection () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb6964d75 in QObject::connectInternal () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#3  0xb69654c5 in QObject::connect () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#4  0xb6c018a5 in QSqlResultShared::QSqlResultShared () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#5  0xb6c01af8 in QSqlQuery::QSqlQuery () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#6  0xb6115234 in QMYSQLDriver::createQuery () from /usr/lib/qt3/plugins/sqldrivers/libqsqlmysql.so
No symbol table info available.
#7  0xb6c01e5f in QSqlQuery::init () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#8  0xb6c01fa0 in QSqlQuery::QSqlQuery () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#9  0xb72c24a4 in MSqlQuery (this=0xa9efa190, qi=@0xa9efa180) at mythdbcon.cpp:221
No locals.
#10 0xb72c327f in MSqlQuery::testDBConnection () at mythdbcon.cpp:353
        query = {<> = {<No data fields>}, m_db = 0xaedb80b0, m_isConnected = 184, m_returnConnection = 161}
#11 0xb7d63043 in PreviewGenerator::GetScreenGrab (pginfo=0xa93672a4, filename=@0xa93672d4, secondsin=64,
    bufferlen=@0xa9efa350, video_width=@0xa9efa358, video_height=@0xa9efa354, video_aspect=@0xa9efa38c)
    at previewgenerator.cpp:305
        retbuf = 0x0
        rbuf = (RingBuffer *) 0xb61e84fa
        nvp = (NuppelVideoPlayer *) 0xa9efa298
#12 0xb7d62a57 in PreviewGenerator::LocalPreviewRun (this=0xa9367270) at previewgenerator.cpp:228
        aspect = 0
        secsin = 64
        len = 0
        width = 0
        height = 0
        sz = 0
        data = (unsigned char *) 0xb6c5eeba "[\201Ã:\032\033"
#13 0xb7d61d86 in PreviewGenerator::Run (this=0xa9367270) at previewgenerator.cpp:104
No locals.
#14 0xb7d6200f in PreviewGenerator::PreviewRun (param=0xa9367270) at previewgenerator.cpp:121
        gen = (class PreviewGenerator *) 0xa9367270
#15 0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#16 0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 76 (Thread -1458570320 (LWP 10501)):
#0  0xb6584201 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb7202d31 in myth_system (command=@0xa90ff3b0, flags=0) at util.cpp:859
        status = -1239356236
        ready_to_lock = false
        child = 10502
#2  0xb7a6c589 in JobQueue::DoFlagCommercialsThread (this=0x810d780) at jobqueue.cpp:2017
        program_info = (ProgramInfo *) 0x8533138
        controlFlagging = 0
        subtitle = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0x83c90f8, static shared_null = 0x80e3070}
        logDesc = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0x837f788, static shared_null = 0x80e3070}
        key = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0x85778c0, static shared_null = 0x80e3070}
        jobID = 5882
        msg = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0x84f8080, static shared_null = 0x80e3070}
        breaksFound = 0
        path = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0x8533100, static shared_null = 0x80e3070}
        cmd = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0x81bcf58, static shared_null = 0x80e3070}
#3  0xb7a6b64d in JobQueue::FlagCommercialsThread (param=0x810d780) at jobqueue.cpp:1960
        theFlagger = (class JobQueue *) 0x810d780
#4  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 74 (Thread -1387271248 (LWP 10499)):
#0  0xb6580dc2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c4ad7c in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb7a33be6 in ThreadedFileWriter::SyncLoop (this=0xaedb8378) at ThreadedFileWriter.cpp:330
No locals.
#3  0xb7a325b5 in ThreadedFileWriter::boot_syncer (wotsit=0xaedb8378) at ThreadedFileWriter.cpp:103
        fw = (ThreadedFileWriter *) 0xaedb8378
#4  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 73 (Thread -1426080848 (LWP 10498)):
#0  0xb6580dc2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c4ad7c in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb7a33ca0 in ThreadedFileWriter::DiskLoop (this=0xaedb8378) at ThreadedFileWriter.cpp:353
        size = 0
        written = 264192
#3  0xb7a32587 in ThreadedFileWriter::boot_writer (wotsit=0xaedb8378) at ThreadedFileWriter.cpp:93
        fw = (ThreadedFileWriter *) 0xaedb8378
#4  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 15 (Thread -1351615568 (LWP 9742)):
#0  0xb6580b61 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c4afce in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0x080a2981 in ProcessRequestThread::run (this=0x811d8e0) at mainserver.cpp:86
No locals.
#3  0xb68f1330 in QThreadInstance::start () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#4  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 14 (Thread -1343226960 (LWP 9741)):
#0  0xb6580b61 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c4afce in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0x080a2981 in ProcessRequestThread::run (this=0x811e3e0) at mainserver.cpp:86
No locals.
#3  0xb68f1330 in QThreadInstance::start () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#4  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 13 (Thread -1334838352 (LWP 9740)):
#0  0xb6580b61 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c4afce in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0x080a2981 in ProcessRequestThread::run (this=0x811dfe0) at mainserver.cpp:86
No locals.
#3  0xb68f1330 in QThreadInstance::start () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#4  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 12 (Thread -1326449744 (LWP 9739)):
#0  0xb6580b61 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c4afce in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0x080a2981 in ProcessRequestThread::run (this=0x811e748) at mainserver.cpp:86
No locals.
#3  0xb68f1330 in QThreadInstance::start () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#4  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 11 (Thread -1318061136 (LWP 9738)):
#0  0xb6580b61 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c4afce in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0x080a2981 in ProcessRequestThread::run (this=0x811b0b0) at mainserver.cpp:86
No locals.
#3  0xb68f1330 in QThreadInstance::start () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#4  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 10 (Thread -1308111952 (LWP 9737)):
#0  0xb63e72ec in nanosleep () from /lib/tls/libc.so.6
No symbol table info available.
#1  0xb63e7110 in sleep () from /lib/tls/libc.so.6
No symbol table info available.
#2  0xb7a5aa25 in JobQueue::ProcessQueue (this=0x810d780) at jobqueue.cpp:475
        chanid = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0xa932ed38, static shared_null = 0x80e3070}
        starttime = {d = {jd = 2453744}, t = {ds = 9600000}}
        startts = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0xa95c0a28, static shared_null = 0x80e3070}
        type = 2
        id = 5882
        cmds = 0
        flags = 2
        status = 4
        hostname = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0xb1701fe8, static shared_null = 0x80e3070}
        sleepTime = 60
        jobStatus = {sh = 0xb17004c0}
        maxJobs = 1
        queueStartTimeStr = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0xb1701a70, static shared_null = 0x80e3070}
        queueEndTimeStr = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0xb1700c88, static shared_null = 0x80e3070}
        queueStartTime = 0
        queueEndTime = 2359
        curQTime = {ds = 11944142}
        curTime = 319
        message = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0xb173d0b0, static shared_null = 0x80e3070}
        tmpStr = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0xa936a5e8, static shared_null = 0x80e3070}
        jobs = {sh = 0xb1700498}
        atMax = true
        inTimeWindow = true
        startedJobAlready = false
#3  0xb7a55e72 in JobQueue::RunQueueProcesser (this=0x810d780) at jobqueue.cpp:138
No locals.
#4  0xb7a55e9b in JobQueue::QueueProcesserThread (param=0x810d780) at jobqueue.cpp:144
        jobqueue = (class JobQueue *) 0x810d780
#5  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#6  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 9 (Thread -1299723344 (LWP 9736)):
#0  0xb63e72ec in nanosleep () from /lib/tls/libc.so.6
No symbol table info available.
#1  0xb63e7110 in sleep () from /lib/tls/libc.so.6
No symbol table info available.
#2  0x08059f2a in AutoExpire::Sleep (this=0x811db48, sleepTime=60) at autoexpire.cpp:280
        minSleep = 5
        timeExpended = 10
#3  0x08059ed4 in AutoExpire::RunExpirer (this=0x811db48) at autoexpire.cpp:265
        curTime = {ds = 11991090}
        timer = {ds = 11991086}
#4  0x0805cef5 in AutoExpire::ExpirerThread (param=0x811db48) at autoexpire.cpp:463
        expirer = (AutoExpire *) 0x811db48
#5  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#6  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 8 (Thread -1291334736 (LWP 9735)):
#0  0xb63e72ec in nanosleep () from /lib/tls/libc.so.6
No symbol table info available.
#1  0xb63e7110 in sleep () from /lib/tls/libc.so.6
No symbol table info available.
#2  0x080acbe6 in Scheduler::RunScheduler (this=0x811ae20) at scheduler.cpp:1087
        statuschanged = false
        recIter = {<std::_List_iterator_base> = {_M_node = 0x8534118}, <No data fields>}
        prerollseconds = 0
        secsleft = 7739
        nexttv = (EncoderLink *) 0x811a5d0
        nextRecording = (ProgramInfo *) 0xacbfe8d0
        nextrectime = {d = {jd = 2453744}, t = {ds = 19740000}}
        curtime = {d = {jd = 2453744}, t = {ds = 12000771}}
        lastupdate = {d = {jd = 2453744}, t = {ds = 9605868}}
        recordfileprefix = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0x8113170, static shared_null = 0x80e3070}
        startIter = {<std::_List_iterator_base> = {_M_node = 0x857ff78}, <No data fields>}
        blockShutdown = false
        idleSince = {d = {jd = 0}, t = {ds = 0}}
        idleTimeoutSecs = 0
        idleWaitForRecordingTime = 15
        firstRun = false
        fillstart = {tv_sec = 1136709606, tv_usec = 6825}
        fillend = {tv_sec = 1136709615, tv_usec = 482324}
        matchTime = 0.137863994
        placeTime = 9.47549915
        query = {<> = {<No data fields>}, m_db = 0x810b2a8, m_isConnected = true, m_returnConnection = false}
#3  0x080b07b9 in Scheduler::SchedulerThread (param=0x811ae20) at scheduler.cpp:1523
        sched = (Scheduler *) 0x811ae20
#4  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 7 (Thread -1282946128 (LWP 9733)):
#0  0xb637e9e7 in raise () from /lib/tls/libc.so.6
No symbol table info available.
#1  0xb638031b in abort () from /lib/tls/libc.so.6
No symbol table info available.
#2  0xb63b5365 in __fsetlocking () from /lib/tls/libc.so.6
No symbol table info available.
#3  0xb63bcec8 in free () from /lib/tls/libc.so.6
No symbol table info available.
#4  0xb63bdc4c in malloc () from /lib/tls/libc.so.6
No symbol table info available.
#5  0xb6c604af in QGArray::duplicate () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#6  0xb729131b in QMemArray<char>::duplicate (this=0xb387be54, a=0xb6d5d5cb "2destroyed()", n=13) at qmemarray.h:85
No locals.
#7  0xb6c5226f in QCString::QCString () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#8  0xb6964f38 in QObject::connect () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#9  0xb6c018a5 in QSqlResultShared::QSqlResultShared () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#10 0xb6c01af8 in QSqlQuery::QSqlQuery () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#11 0xb6115234 in QMYSQLDriver::createQuery () from /usr/lib/qt3/plugins/sqldrivers/libqsqlmysql.so
No symbol table info available.
#12 0xb6c01e5f in QSqlQuery::init () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#13 0xb6c01fa0 in QSqlQuery::QSqlQuery () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#14 0xb72c24a4 in MSqlQuery (this=0xb387bfe0, qi=@0xb387bfd0) at mythdbcon.cpp:221
No locals.
#15 0xb79f28bd in ProgramInfo::FinishedRecording (this=0xa95fcbf8, prematurestop=false) at programinfo.cpp:1532
        query = {<> = {<No data fields>}, m_db = 0xb387c008, m_isConnected = 76, m_returnConnection = 43}
#16 0xb7cbae33 in TVRec::FinishedRecording (this=0x811a640, curRec=0xa95fcbf8) at tv_rec.cpp:624
        me = {<QCustomEvent> = {<> = {<No data fields>}, d = 0x0}, message = {static null = {
      static null = <same as static member of an already seen type>, d = 0x80e3070, static shared_null = 0x80e3070},
    d = 0xa95fd8e8, static shared_null = 0x80e3070}, extradata = {<QValueList<QString>> = {
      sh = 0xa93011a0}, <No data fields>}}
#17 0xb7cbc899 in TVRec::TeardownRecorder (this=0x811a640, killFile=false) at tv_rec.cpp:904
        filelen = 2394
        me = {<QCustomEvent> = {<> = {<No data fields>}, d = 0xb6c49ea2}, message = {static null = {
      static null = <same as static member of an already seen type>, d = 0x80e3070, static shared_null = 0x80e3070},
    d = 0xb6e20560, static shared_null = 0x80e3070}, extradata = {<QValueList<QString>> = {sh = 0x7d0}, <No data fields>}}
#18 0xb7cce159 in TVRec::TuningShutdowns (this=0x811a640, request=@0x811a968) at tv_rec.cpp:2966
No locals.
#19 0xb7ccde04 in TVRec::HandleTuning (this=0x811a640) at tv_rec.cpp:2858
        request = (const TuningRequest *) 0x811a968
#20 0xb7cbd5cc in TVRec::RunTV (this=0x811a640) at tv_rec.cpp:1134
        lock = {mtx = 0x811a6f8}
        timeout = 118
#21 0xb7cbcfb3 in TVRec::EventThread (param=0x811a640) at tv_rec.cpp:1065
        thetv = (class TVRec *) 0x811a640
#22 0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#23 0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 6 (Thread -1274557520 (LWP 9731)):
#0  0xb6580dc2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c4ad7c in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb7cbdac4 in TVRec::RunTV (this=0x8116d58) at tv_rec.cpp:1220
        lock = {mtx = 0x8116e10}
        timeout = 97
#3  0xb7cbcfb3 in TVRec::EventThread (param=0x8116d58) at tv_rec.cpp:1065
        thetv = (class TVRec *) 0x8116d58
#4  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 5 (Thread -1266168912 (LWP 9730)):
#0  0xb6580dc2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c4ad7c in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb7cbdac4 in TVRec::RunTV (this=0x8114e08) at tv_rec.cpp:1220
        lock = {mtx = 0x8114ec0}
        timeout = 84
#3  0xb7cbcfb3 in TVRec::EventThread (param=0x8114e08) at tv_rec.cpp:1065
        thetv = (class TVRec *) 0x8114e08
#4  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 4 (Thread -1257780304 (LWP 9729)):
#0  0xb6580dc2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c4ad7c in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb7cbdac4 in TVRec::RunTV (this=0x81138e8) at tv_rec.cpp:1220
        lock = {mtx = 0x81139a0}
        timeout = 106
#3  0xb7cbcfb3 in TVRec::EventThread (param=0x81138e8) at tv_rec.cpp:1065
        thetv = (class TVRec *) 0x81138e8
#4  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 3 (Thread -1249391696 (LWP 9728)):
#0  0xb6580dc2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c4ad7c in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb7cbdac4 in TVRec::RunTV (this=0x810b2e0) at tv_rec.cpp:1220
        lock = {mtx = 0x810b398}
        timeout = 118
#3  0xb7cbcfb3 in TVRec::EventThread (param=0x810b2e0) at tv_rec.cpp:1065
        thetv = (class TVRec *) 0x810b2e0
#4  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 2 (Thread -1241003088 (LWP 9725)):
#0  0xb63e72ec in nanosleep () from /lib/tls/libc.so.6
No symbol table info available.
#1  0xb63e7110 in sleep () from /lib/tls/libc.so.6
No symbol table info available.
#2  0x080c2afa in HouseKeeper::RunHouseKeeping (this=0x8109318) at housekeeper.cpp:251
        period = 1
        maxhr = 19
        minhr = 17
        dbTag = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0x8186f20, static shared_null = 0x80e3070}
#3  0x080c37a9 in HouseKeeper::doHouseKeepingThread (param=0x8109318) at housekeeper.cpp:330
        hkeeper = (HouseKeeper *) 0x8109318
#4  0xb657eccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6426b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 1 (Thread -1240357184 (LWP 9721)):
#0  0xb641ef87 in select () from /lib/tls/libc.so.6
No symbol table info available.
#1  0xb689ef28 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb6913ea2 in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#3  0xb6913dcb in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#4  0xb68fa305 in QApplication::exec () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#5  0x080773ba in main (argc=5, argv=0xbfeb5504) at main.cpp:559
        a = <incomplete type>
        binname = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0x80fc7a8, static shared_null = 0x80e3070}
        daemonize = false
        printsched = false
        testsched = false
        resched = false
        nosched = false
        nojobqueue = false
        noexpirer = false
        printexpire = false
        pidfs = <incomplete type>
        port = 6543
        statusport = 6544
        myip = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0x8109980, static shared_null = 0x80e3070}
        masterip = {static null = {static null = <same as static member of an already seen type>, d = 0x80e3070,
    static shared_null = 0x80e3070}, d = 0x810a130, static shared_null = 0x80e3070}
        ismaster = true
        fatal_error = false
        runsched = true
#0  0xb637e9e7 in raise () from /lib/tls/libc.so.6

comment:7 Changed 14 years ago by Robert Kulagowski

Summary: Backend segfault, gdb backtraceBackend SIGABRT, gdb backtrace

comment:8 Changed 14 years ago by danielk

rkulagow, can you attach the 'valgrind' log file?

The backtraces do not tell me anything in this case.

comment:9 Changed 14 years ago by Robert Kulagowski

I've been running under valgrind for the last two days; I'm assuming that if something bad happens valgrind will return to the command prompt so that I know it caught something?

comment:10 Changed 14 years ago by danielk

Valgrind won't produce a final report until you exit the program being checked. What it does is print out information whenever a suspect memory operation is seen. Then I read through them tossing the ones that don't look like real errors, until I have 3-4 candidates. Then I look at the code near those errors and try to spot an error, if I don't spot anything obvious I add instrumentation to help me find the problem, perhaps getting you to run the instrumented version.

comment:11 Changed 14 years ago by Robert Kulagowski

OK, in the two days I've been running under valgrind, valgrind itself hasn't exited (which is what I was looking for as my trigger saying "A-ha! It found something")

The command line I used was: valgrind -v --error-limit=no --log-file=valgrind mythbackend -l mythbackend.log -v record,channel,siparser

I will attach a bzip2 -9 version of the logfile; uncompressed it's 280K.

Changed 14 years ago by Robert Kulagowski

Attachment: valgrind.12328.bz2 added

comment:12 Changed 14 years ago by danielk

There are no invalid writes in that valgrind log, which is what I was hoping for.

There are plenty of double frees, mostly due to using QString's accross threads without making a deep copy. But these usually don't cause a SEGFAULT.

Can you set the environment variable MALLOC_CHECK_ to '1' and see if you can reproduce the crash? If no, please send me the backend's "-v record" log with the malloc messages embedded (which may be redirected to stderr rather than stdout.) If you can still cause the crash, can you try setting MALLOC_CHECK_ to '2' and get a backtrace from that.

comment:13 Changed 14 years ago by Robert Kulagowski

Did you want this run under valgrind?

ie: $ export MALLOC_CHECK_=1 $ valgrind -v --error-limit=no --log-file=valgrind mythbackend -l mythbackend.log -v record

comment:14 Changed 14 years ago by danielk

Resolution: worksforme
Status: newclosed

Since this hasn't happened in 5 days, I'm assuming it's been fixed by one of the QString threadsafety fixes. If you experience this again, reopen this with the MALLOC_CHECK info.

comment:15 Changed 14 years ago by Robert Kulagowski

Resolution: worksforme
Status: closedreopened

Well, got another segfault. This was after completing watching "Emily's Reasons why not" and deleting from the Watch Recordings screen.

gdb is being invoked as

$ gdb -x gdbcommands where gdbcommands is

$ cat gdbcommands
handle SIGPIPE nostop noprint
handle SIG33 nostop noprint
set logging on
set pagination off
set args -v record &> log.txt
run
thread apply all bt full
set logging off

Not sure if this bug is part of 929, or should be a new one. I also did export MALLOC_CHECK_=2 as requested earlier.

Top part of the debug log is the result of $ date >> gdb.txt then a $ svn info >> gdb.txt before starting gdb

Thu Jan 12 16:52:47 CST 2006
Path: .
URL: svn+ssh://rkulagow@cvs.mythtv.org/var/lib/svn/trunk
Repository UUID: 7dbf422c-18fa-0310-86e9-fd20926502f2
Revision: 8585
Node Kind: directory
Schedule: normal
Last Changed Author: rkulagow
Last Changed Rev: 8585
Last Changed Date: 2006-01-12 16:21:59 -0600 (Thu, 12 Jan 2006)

[Thread debugging using libthread_db enabled]
<snip forward 3 days>
[Thread -1406628944 (LWP 24940) exited]
[New Thread -1406628944 (LWP 24984)]
[Thread -1397187664 (LWP 24939) exited]
[Thread -1415017552 (LWP 24938) exited]
[Thread -1406628944 (LWP 24984) exited]
[New Thread -1406628944 (LWP 24998)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1349989456 (LWP 14555)]
0xb6c91194 in QString::setLength () from /usr/lib/libqt-mt.so.3

Thread 76 (Thread -1406628944 (LWP 24998)):
#0  0xb63f22ec in nanosleep () from /lib/tls/libc.so.6
No symbol table info available.
#1  0xb63f2110 in sleep () from /lib/tls/libc.so.6
No symbol table info available.
#2  0x08089248 in MainServer::DoDeleteThread (this=0x8122540, ds=0x8115b58) at mainserver.cpp:1427
        logInfo = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x8520488, static shared_null = 0x80e45a8}
        name = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x832eec8, static shared_null = 0x80e45a8}
        checkFile = <incomplete type>
        pginfo = (ProgramInfo *) 0x853ed18
        tvchain = (LiveTVChain *) 0x0
        err = 0
        filename = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x82d60c8, static shared_null = 0x80e45a8}
        followLinks = false
        query = {<> = {<No data fields>}, m_db = 0x8349c28, m_isConnected = true, m_returnConnection = true}
        me = {<QCustomEvent> = {<> = {<No data fields>}, d = 0x0}, message = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x8213c20, static shared_null = 0x80e45a8}, extradata = {<QValueList<QString>> = {sh = 0x82d1558}, <No data fields>}}
#3  0x08085708 in MainServer::SpawnDeleteThread (param=0x8115b58) at mainserver.cpp:1224
        ds = (MainServer::deletestruct *) 0x8115b58
        ms = (class MainServer *) 0x8122540
#4  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 74 (Thread -1378309200 (LWP 24977)):
#0  0xb658e201 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb721232d in myth_system (command=@0xadd8a3b0, flags=0) at util.cpp:859
        status = -1239294796
        ready_to_lock = false
        child = 24978
#2  0xb7a840c1 in JobQueue::DoFlagCommercialsThread (this=0x8122df0) at jobqueue.cpp:2017
        program_info = (ProgramInfo *) 0x833f000
        controlFlagging = 0
        subtitle = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x83f10a8, static shared_null = 0x80e45a8}
        logDesc = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x83f0e70, static shared_null = 0x80e45a8}
        key = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x855ce30, static shared_null = 0x80e45a8}
        jobID = 5994
        msg = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x8118e30, static shared_null = 0x80e45a8}
        breaksFound = 0
        path = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x81f2fb0, static shared_null = 0x80e45a8}
        cmd = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x854b3e0, static shared_null = 0x80e45a8}
#3  0xb7a83185 in JobQueue::FlagCommercialsThread (param=0x8122df0) at jobqueue.cpp:1960
        theFlagger = (class JobQueue *) 0x8122df0
#4  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 72 (Thread -1444078672 (LWP 24974)):
#0  0xb6429f87 in select () from /lib/tls/libc.so.6
No symbol table info available.
#1  0xb7d67f7e in MpegRecorder::StartRecording (this=0x8345770) at mpegrecorder.cpp:475
        buffer = (unsigned char *) 0x84b0ec8 ""
        ret = 4032
        elapsedTimer = {m_timer = {ds = 0}}
        elapsed = 0
        tv = {tv_sec = 4, tv_usec = 976000}
        rdset = {fds_bits = {1073741824, 0 <repeats 31 times>}}
#2  0xb7cd8428 in TVRec::RecorderThread (param=0x8345770) at tv_rec.cpp:1107
        recorder = (class RecorderBase *) 0x8345770
#3  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#4  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 71 (Thread -1434637392 (LWP 24973)):
#0  0xb658adc2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c55d7c in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb7a4b6aa in ThreadedFileWriter::SyncLoop (this=0x8427088) at ThreadedFileWriter.cpp:330
No locals.
#3  0xb7a4a079 in ThreadedFileWriter::boot_syncer (wotsit=0x8427088) at ThreadedFileWriter.cpp:103
        fw = (ThreadedFileWriter *) 0x8427088
#4  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 70 (Thread -1424147536 (LWP 24972)):
#0  0xb658adc2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c55d7c in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb7a4b764 in ThreadedFileWriter::DiskLoop (this=0x8427088) at ThreadedFileWriter.cpp:353
        size = 100352
        written = 262144
#3  0xb7a4a04b in ThreadedFileWriter::boot_writer (wotsit=0x8427088) at ThreadedFileWriter.cpp:93
        fw = (ThreadedFileWriter *) 0x8427088
#4  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 15 (Thread -1349989456 (LWP 14555)):
#0  0xb6c91194 in QString::setLength () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#1  0xb6c914eb in QString::grow () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb6c92d8f in QString::operator+= () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#3  0x08063c7a in operator+ (s1=@0xaf88c140, s2=0x80ca04b "/") at qstring.h:1046
        tmp = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x81e8850, static shared_null = 0x80e45a8}
#4  0x08083c14 in MainServer::HandleQueryRecordings (this=0x8122540, type={static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x83ff4e8, static shared_null = 0x80e45a8}, pbs=0x81451f0) at mainserver.cpp:1095
        proginfo = (ProgramInfo *) 0x84b7d08
        basename = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x84850a0, static shared_null = 0x80e45a8}
        flags = 17
        lpath = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x8485100, static shared_null = 0x80e45a8}
        slave = (class PlaybackSock *) 0xb63c6f6a
        checkFile = <incomplete type>
        pbssock = (struct QSocket *) 0x81450d0
        islocal = false
        playbackhost = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x8332800, static shared_null = 0x80e45a8}
        fs_db_name = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x837a808, static shared_null = 0x80e45a8}
        rectime = {d = {jd = 2453751}, t = {ds = 76721399}}
        ri = {<std::_List_iterator_base> = {_M_node = 0x0}, <No data fields>}
        schedList = {<std::_List_base<ProgramInfo*, std::allocator<ProgramInfo*> >> = {<std::_List_alloc_base<ProgramInfo*, std::allocator<ProgramInfo*>, true>> = {_M_node = 0x812b480}, <No data fields>}, <No data fields>}
        ip = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x82d3698, static shared_null = 0x80e45a8}
        port = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x82d33c0, static shared_null = 0x80e45a8}
        chanorder = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x8382fa0, static shared_null = 0x80e45a8}
        inUseMap = {sh = 0x86c2970}
        inUseKey = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x84b7e20, static shared_null = 0x80e45a8}
        inUseForWhat = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x832d0d8, static shared_null = 0x80e45a8}
        oneHourAgo = {d = {jd = 2453751}, t = {ds = 73061413}}
        query = {<> = {<No data fields>}, m_db = 0x8101bb0, m_isConnected = true, m_returnConnection = true}
        thequery = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x82b3c30, static shared_null = 0x80e45a8}
        outputlist = {<QValueList<QString>> = {sh = 0x826f600}, <No data fields>}
        fileprefix = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x81e8850, static shared_null = 0x80e45a8}
        backendIpMap = {sh = 0x831ede0}
        backendPortMap = {sh = 0x81a4c70}
#5  0x0807b225 in MainServer::ProcessRequestWork (this=0x8122540, sock=0x81450d0) at mainserver.cpp:312
        listline = {<QValueList<QString>> = {sh = 0x838ea00}, <No data fields>}
        line = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x82e21a0, static shared_null = 0x80e45a8}
        tokens = {<QValueList<QString>> = {sh = 0x8463348}, <No data fields>}
        command = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x8579e50, static shared_null = 0x80e45a8}
        pbs = (class PlaybackSock *) 0x81451f0
#6  0x0807a9b0 in MainServer::ProcessRequest (this=0x8122540, sock=0x81450d0) at mainserver.cpp:256
No locals.
#7  0x080a34a2 in ProcessRequestThread::run (this=0x81241f8) at mainserver.cpp:91
No locals.
#8  0xb68fc330 in QThreadInstance::start () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#9  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#10 0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 14 (Thread -1341600848 (LWP 14554)):
#0  0xb658ab61 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c55fce in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0x080a347f in ProcessRequestThread::run (this=0x8122870) at mainserver.cpp:86
No locals.
#3  0xb68fc330 in QThreadInstance::start () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#4  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 13 (Thread -1333212240 (LWP 14553)):
#0  0xb6c86cc4 in QRegExpEngine::Box::set () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#1  0xb6c86f06 in QRegExpEngine::matchHere () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb6c88239 in QRegExpEngine::badCharMatch () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#3  0xb6c8863f in QRegExpEngine::match () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#4  0xb6c8c3a2 in QRegExp::search () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#5  0xb6c8c3e9 in QRegExp::search () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#6  0xb6c0ee6d in QSqlQuery::prepare () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#7  0xb72d280c in MSqlQuery::prepare (this=0xb088c190, query=@0xb088c180) at mythdbcon.cpp:348
        prepareLock = <incomplete type>
        lock = {mtx = 0xb73b5588}
#8  0x0808123c in MainServer::HandleQueryRecordings (this=0x8122540, type={static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x86a1470, static shared_null = 0x80e45a8}, pbs=0x8564e48) at mainserver.cpp:935
        pbssock = (struct QSocket *) 0x82e94e0
        islocal = false
        playbackhost = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x8101998, static shared_null = 0x80e45a8}
        fs_db_name = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x84da360, static shared_null = 0x80e45a8}
        rectime = {d = {jd = 2453751}, t = {ds = 76721399}}
        ri = {<std::_List_iterator_base> = {_M_node = 0x0}, <No data fields>}
        schedList = {<std::_List_base<ProgramInfo*, std::allocator<ProgramInfo*> >> = {<std::_List_alloc_base<ProgramInfo*, std::allocator<ProgramInfo*>, true>> = {_M_node = 0x8308270}, <No data fields>}, <No data fields>}
        ip = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x82d3698, static shared_null = 0x80e45a8}
        port = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x82d33c0, static shared_null = 0x80e45a8}
        chanorder = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x8382fa0, static shared_null = 0x80e45a8}
        inUseMap = {sh = 0x855eb60}
        inUseKey = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x80e45a8, static shared_null = 0x80e45a8}
        inUseForWhat = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x80e45a8, static shared_null = 0x80e45a8}
        oneHourAgo = {d = {jd = 2453751}, t = {ds = 73061436}}
        query = {<> = {<No data fields>}, m_db = 0x8104a10, m_isConnected = true, m_returnConnection = true}
        thequery = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0xb63c617b, static shared_null = 0x80e45a8}
        outputlist = {<QValueList<QString>> = {sh = 0xb088c158}, <No data fields>}
        fileprefix = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x7, static shared_null = 0x80e45a8}
        backendIpMap = {sh = 0xc}
        backendPortMap = {sh = 0x85ca9c0}
#9  0x0807b225 in MainServer::ProcessRequestWork (this=0x8122540, sock=0x82e94e0) at mainserver.cpp:312
        listline = {<QValueList<QString>> = {sh = 0x8610468}, <No data fields>}
        line = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x855f5a8, static shared_null = 0x80e45a8}
        tokens = {<QValueList<QString>> = {sh = 0x8498be0}, <No data fields>}
        command = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x8435978, static shared_null = 0x80e45a8}
        pbs = (class PlaybackSock *) 0x8564e48
#10 0x0807a9b0 in MainServer::ProcessRequest (this=0x8122540, sock=0x82e94e0) at mainserver.cpp:256
No locals.
#11 0x080a34a2 in ProcessRequestThread::run (this=0x81219d8) at mainserver.cpp:91
No locals.
#12 0xb68fc330 in QThreadInstance::start () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#13 0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#14 0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 12 (Thread -1324823632 (LWP 14552)):
#0  0xb658ab61 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c55fce in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0x080a347f in ProcessRequestThread::run (this=0x8121a28) at mainserver.cpp:86
No locals.
#3  0xb68fc330 in QThreadInstance::start () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#4  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 11 (Thread -1316435024 (LWP 14551)):
#0  0xb658ab61 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c55fce in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0x080a347f in ProcessRequestThread::run (this=0x8122a00) at mainserver.cpp:86
No locals.
#3  0xb68fc330 in QThreadInstance::start () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#4  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 10 (Thread -1308046416 (LWP 14550)):
#0  0xb63f22ec in nanosleep () from /lib/tls/libc.so.6
No symbol table info available.
#1  0xb63f2110 in sleep () from /lib/tls/libc.so.6
No symbol table info available.
#2  0xb7a7255d in JobQueue::ProcessQueue (this=0x8122df0) at jobqueue.cpp:475
        chanid = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x828dc60, static shared_null = 0x80e45a8}
        starttime = {d = {jd = 2453751}, t = {ds = 75480000}}
        startts = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x82c6038, static shared_null = 0x80e45a8}
        type = 2
        id = 5995
        cmds = 0
        flags = 2
        status = 1
        hostname = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x8143990, static shared_null = 0x80e45a8}
        sleepTime = 60
        jobStatus = {sh = 0x832f4b8}
        maxJobs = 1
        queueStartTimeStr = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x841c598, static shared_null = 0x80e45a8}
        queueEndTimeStr = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x82c9040, static shared_null = 0x80e45a8}
        queueStartTime = 0
        queueEndTime = 2359
        curQTime = {ds = 76670645}
        curTime = 2117
        message = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x8136840, static shared_null = 0x80e45a8}
        tmpStr = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x843d280, static shared_null = 0x80e45a8}
        jobs = {sh = 0x84148d0}
        atMax = true
        inTimeWindow = true
        startedJobAlready = false
#3  0xb7a6d9aa in JobQueue::RunQueueProcesser (this=0x8122df0) at jobqueue.cpp:138
No locals.
#4  0xb7a6d9d3 in JobQueue::QueueProcesserThread (param=0x8122df0) at jobqueue.cpp:144
        jobqueue = (class JobQueue *) 0x8122df0
#5  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#6  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 9 (Thread -1299657808 (LWP 14549)):
#0  0xb63f22ec in nanosleep () from /lib/tls/libc.so.6
No symbol table info available.
#1  0xb63f2110 in sleep () from /lib/tls/libc.so.6
No symbol table info available.
#2  0x08059fda in AutoExpire::Sleep (this=0x8120e98, sleepTime=60) at autoexpire.cpp:280
        minSleep = 5
        timeExpended = 10
#3  0x08059f84 in AutoExpire::RunExpirer (this=0x8120e98) at autoexpire.cpp:265
        curTime = {ds = 76710834}
        timer = {ds = 76710826}
#4  0x0805cfa5 in AutoExpire::ExpirerThread (param=0x8120e98) at autoexpire.cpp:463
        expirer = (AutoExpire *) 0x8120e98
#5  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#6  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 8 (Thread -1291269200 (LWP 14548)):
#0  0xb658adc2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c55fad in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0x080ad7df in Scheduler::RunScheduler (this=0x8124d60) at scheduler.cpp:1098
        statuschanged = false
        recIter = {<std::_List_iterator_base> = {_M_node = 0x84843d8}, <No data fields>}
        prerollseconds = 0
        secsleft = 559
        nexttv = (EncoderLink *) 0x8119f30
        nextRecording = (ProgramInfo *) 0x82074d8
        nextrectime = {d = {jd = 2453751}, t = {ds = 77280000}}
        curtime = {d = {jd = 2453751}, t = {ds = 76720639}}
        lastupdate = {d = {jd = 2453751}, t = {ds = 75839926}}
        recordfileprefix = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x8118648, static shared_null = 0x80e45a8}
        startIter = {<std::_List_iterator_base> = {_M_node = 0x84843d8}, <No data fields>}
        blockShutdown = true
        idleSince = {d = {jd = 0}, t = {ds = 0}}
        idleTimeoutSecs = 0
        idleWaitForRecordingTime = 15
        firstRun = false
        fillstart = {tv_sec = 1137380640, tv_usec = 286532}
        fillend = {tv_sec = 1137380647, tv_usec = 57628}
        matchTime = 0.000172999993
        placeTime = 6.77109623
        query = {<> = {<No data fields>}, m_db = 0x810eea8, m_isConnected = true, m_returnConnection = false}
#3  0x080b136d in Scheduler::SchedulerThread (param=0x8124d60) at scheduler.cpp:1529
        sched = (Scheduler *) 0x8124d60
#4  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 7 (Thread -1282880592 (LWP 14546)):
#0  0xb658adc2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c55d7c in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb7cd96e5 in TVRec::RunTV (this=0x8120640) at tv_rec.cpp:1297
        lock = {mtx = 0x81206f8}
        timeout = 118
#3  0xb7cd83ff in TVRec::EventThread (param=0x8120640) at tv_rec.cpp:1096
        thetv = (class TVRec *) 0x8120640
#4  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 6 (Thread -1274491984 (LWP 14544)):
#0  0xb658adc2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c55d7c in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb7cd96e5 in TVRec::RunTV (this=0x8119f80) at tv_rec.cpp:1297
        lock = {mtx = 0x811a038}
        timeout = 97
#3  0xb7cd83ff in TVRec::EventThread (param=0x8119f80) at tv_rec.cpp:1096
        thetv = (class TVRec *) 0x8119f80
#4  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 5 (Thread -1266103376 (LWP 14543)):
#0  0xb658adc2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c55d7c in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb7cd96e5 in TVRec::RunTV (this=0x811d418) at tv_rec.cpp:1297
        lock = {mtx = 0x811d4d0}
        timeout = 84
#3  0xb7cd83ff in TVRec::EventThread (param=0x811d418) at tv_rec.cpp:1096
        thetv = (class TVRec *) 0x811d418
#4  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 4 (Thread -1257714768 (LWP 14542)):
#0  0xb658adc2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c55d7c in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb7cd96e5 in TVRec::RunTV (this=0x811bb00) at tv_rec.cpp:1297
        lock = {mtx = 0x811bbb8}
        timeout = 106
#3  0xb7cd83ff in TVRec::EventThread (param=0x811bb00) at tv_rec.cpp:1096
        thetv = (class TVRec *) 0x811bb00
#4  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 3 (Thread -1249326160 (LWP 14541)):
#0  0xb658adc2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0xb6c55d7c in QWaitCondition::wait () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb7cd96e5 in TVRec::RunTV (this=0x8110c10) at tv_rec.cpp:1297
        lock = {mtx = 0x8110cc8}
        timeout = 118
#3  0xb7cd83ff in TVRec::EventThread (param=0x8110c10) at tv_rec.cpp:1096
        thetv = (class TVRec *) 0x8110c10
#4  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 2 (Thread -1240937552 (LWP 14538)):
#0  0xb63f22ec in nanosleep () from /lib/tls/libc.so.6
No symbol table info available.
#1  0xb63f2110 in sleep () from /lib/tls/libc.so.6
No symbol table info available.
#2  0x080c36ae in HouseKeeper::RunHouseKeeping (this=0x810f8a0) at housekeeper.cpp:251
        period = 1
        maxhr = 2
        minhr = 0
        dbTag = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x810f988, static shared_null = 0x80e45a8}
#3  0x080c435d in HouseKeeper::doHouseKeepingThread (param=0x810f8a0) at housekeeper.cpp:330
        hkeeper = (HouseKeeper *) 0x810f8a0
#4  0xb6588ccd in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb6431b0e in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 1 (Thread -1240295744 (LWP 14534)):
#0  0xb6429f87 in select () from /lib/tls/libc.so.6
No symbol table info available.
#1  0xb68a9f28 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#2  0xb691eea2 in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#3  0xb691edcb in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#4  0xb6905305 in QApplication::exec () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#5  0x08077a88 in main (argc=3, argv=0xbfdd55b4) at main.cpp:561
        a = <incomplete type>
        binname = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x8101f18, static shared_null = 0x80e45a8}
        daemonize = false
        printsched = false
        testsched = false
        resched = false
        nosched = false
        nojobqueue = false
        noexpirer = false
        printexpire = false
        pidfs = <incomplete type>
        port = 6543
        statusport = 6544
        myip = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x810f570, static shared_null = 0x80e45a8}
        masterip = {static null = {static null = <same as static member of an already seen type>, d = 0x80e45a8, static shared_null = 0x80e45a8}, d = 0x810e5e8, static shared_null = 0x80e45a8}
        ismaster = true
        fatal_error = false
        runsched = true
#0  0xb6c91194 in QString::setLength () from /usr/lib/libqt-mt.so.3
(gdb)

Here's the log.txt from that time period:

2006-01-15 21:03:13.708 AFD: Audio Track #1 is A/V stream #1 and has 2 channels in the Unknown language(0).
2006-01-15 21:03:13.708 AFD: Selected track 1: Unknown MP2 2ch (A/V Stream #1)
2006-01-15 21:03:13.708 AFD: Initializing audio parms from audio track #1
2006-01-15 21:03:13.708 AFD: Audio format changed
                        from id(NONE)    -1Hz -1ch   0bps    ; id(NONE)    -1Hz -1ch   0bps
                        to   id( MP2) 48000Hz  2ch  16bps    ; id( MP2) 48000Hz  2ch  16bps
2006-01-15 21:03:45.441 Commercial Flagging Starting for Desperate Housewives "We're Gonna Be All Right" recorded from channel 1007 at Sun Jan 15 19:57:00 20
06
2006-01-15 21:03:47.683 Enabling Settings Cache.
2006-01-15 21:03:47.683 Clearing Settings Cache.
2006-01-15 21:03:47.923 Connecting to backend server: 192.168.10.50:6543 (try 1 of 5)
2006-01-15 21:03:47.941 MainServer::HandleAnnounce Monitor
0: start_time: 0.036 duration: 360.399
1: start_time: 0.026 duration: 360.374
stream: start_time: 0.289 duration: 4004.545 bitrate=5182 kb/s
2006-01-15 21:03:48.919 AFD: Opened codec 0x80c1330, id(MPEG2VIDEO) type(Video)
2006-01-15 21:03:48.935 AFD: Opened codec 0x80c1670, id(MP2) type(Audio)
2006-01-15 21:03:48.936 AFD: Audio Track #1 is A/V stream #1 and has 2 channels in the Unknown language(0).
2006-01-15 21:03:48.936 AFD: Selected track 1: Unknown MP2 2ch (A/V Stream #1)
2006-01-15 21:03:48.936 AFD: Initializing audio parms from audio track #1
2006-01-15 21:03:48.959 AFD: Audio format changed
                        from id(NONE)    -1Hz -1ch   0bps    ; id(NONE)    -1Hz -1ch   0bps
                        to   id( MP2) 48000Hz  2ch  16bps    ; id( MP2) 48000Hz  2ch  16bps
2006-01-15 21:03:53.593 MainServer::HandleAnnounce Monitor
2006-01-15 21:04:00.282 TVRec(2): ClearFlags(FinishRecording,) -> RunMainLoop,AskAllowRecording,RecorderRunning,
2006-01-15 21:04:00.282 TVRec(2): Changing from RecordingOnly to None
2006-01-15 21:04:00.282 TVRec(2): ClearFlags(FrontendReady,CancelNextRecording,) -> RunMainLoop,AskAllowRecording,RecorderRunning,
2006-01-15 21:04:00.282 TVRec(2): SetFlags(AskAllowRecording,) -> RunMainLoop,AskAllowRecording,RecorderRunning,
2006-01-15 21:04:00.282 TVRec(2): Request: Program(no) channel() input() flags(CloseRec,KillRingBuffer,)
2006-01-15 21:04:00.284 Finished recording Desperate Housewives "We're Gonna Be All Right": channel 1007
2006-01-15 21:04:00.286 Reschedule requested for id 0.
2006-01-15 21:04:03.826 TVRec(2): ClearFlags(RecorderRunning,) -> RunMainLoop,AskAllowRecording,
2006-01-15 21:04:03.874 Finished recording Desperate Housewives "We're Gonna Be All Right": channel 1007
2006-01-15 21:04:03.966 TVRec(2): ClearFlags(RecorderRunning,) -> RunMainLoop,AskAllowRecording,
2006-01-15 21:04:03.966 TVRec(2): Tearing down RingBuffer
2006-01-15 21:04:04.302 TVRec(2): ClearFlags(PENDINGACTIONS,) -> RunMainLoop,AskAllowRecording,
0: start_time: 0.036 duration: 361.438
1: start_time: 0.026 duration: 361.422
stream: start_time: 0.289 duration: 4016.090 bitrate=5182 kb/s
2006-01-15 21:04:04.404 AFD: Opened codec 0x840f140, id(MPEG2VIDEO) type(Video)
2006-01-15 21:04:04.404 AFD: Opened codec 0x829a2f0, id(MP2) type(Audio)
2006-01-15 21:04:04.404 AFD: Audio Track #1 is A/V stream #1 and has 2 channels in the Unknown language(0).
2006-01-15 21:04:04.405 AFD: Selected track 1: Unknown MP2 2ch (A/V Stream #1)
2006-01-15 21:04:04.405 AFD: Initializing audio parms from audio track #1
2006-01-15 21:04:04.405 AFD: Audio format changed
                        from id(NONE)    -1Hz -1ch   0bps    ; id(NONE)    -1Hz -1ch   0bps
                        to   id( MP2) 48000Hz  2ch  16bps    ; id( MP2) 48000Hz  2ch  16bps
2006-01-15 21:04:07.057 Scheduled 441 items in 6.8 = 0.00 match + 6.77 place
2006-01-15 21:06:18.164 Running HouseKeeping
2006-01-15 21:11:18.186 Running HouseKeeping
2006-01-15 21:16:18.209 Running HouseKeeping
2006-01-15 21:20:45.035 Event socket closed. No connection to the backend.
[mpeg2video @ 0xb7699750]ac-tex damaged at 20 19
[mpeg2video @ 0xb7699750]Warning MVs not available
[mpeg2video @ 0xb7699750]invalid cbp at 43 5
[mpeg2video @ 0xb7699750]Warning MVs not available
2006-01-15 21:47:20.340 Connecting to backend server: 192.168.10.50:6543 (try 1 of 5)

comment:16 Changed 14 years ago by Robert Kulagowski

Yeesh. Two in one night. The gdb.txt and log.txt files attached are from the same svn version as the last ginormous paste above. I'm compiling current SVN now.

Changed 14 years ago by Robert Kulagowski

Attachment: gdb.txt.929-2006-01-16.bz2 added

Changed 14 years ago by Robert Kulagowski

Attachment: log.txt.929-2006-01-16.bz2 added

comment:17 Changed 14 years ago by danielk

Again it looks like we are seeing the result of memory corruption, not the cause.

Have you run a memtest86 lately?

comment:18 Changed 14 years ago by danielk

Just for kicks is this an ivtv recorder?

If so what is the resolution of the capture?

Are the dimensions a multiple of 16?

comment:19 Changed 13 years ago by danielk

Milestone: 0.19
Resolution: worksforme
Status: reopenedclosed

Closing. I can't reproduce this after many attempts, and nothing in the backtraces points to anything specific.

Note: See TracTickets for help on using tickets.